Skip to main content
GET
Get translation memory metadata (segment count and size statistics)

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Translation memory UID

Query Parameters

byLanguage
boolean
default:false

When true, include per-language segment counts in metadataByLanguage (default: false)

Response

OK

Translation memory metadata: segment count and size statistics.

deduplicatedSegmentsCount
integer<int64>

Deduplicated segment count for the translation memory.

metadataByLanguage
object

Per-language segment counts, keyed by language code. Populated only when byLanguage=true.

segmentsCount
integer<int64>

Total number of segments in the translation memory.